<!--
function checkIsNumber(obj)
{
    if(obj!=null && obj.type=="text")
    {
        var r=/[^-\d]*([-]?[\d]*)[\D]*/; 
        var value=obj.value;
        var P=value.match(r);
        obj.value=(P[1]==null || P[1]=='-' || P[1]=='')?'0':P[1];
    }
}

function SelectAllRows(formname,chked)
{
     ///全选/全不选
     var objCheckBox;
     var myform=document.forms.namedItem(formname);
    
     for(var i=0;i<myform.length;i++)
     {              
         var objCheckBox=myform.elements[i];
         if(objCheckBox!=null && objCheckBox.type=="checkbox")
         {
            var unAllSelected = objCheckBox.getAttribute('boxUnAllSelected');
            if(unAllSelected==null || unAllSelected!='true')
            {
                 objCheckBox.checked=chked;

                 onRowCheckChange(objCheckBox);
            }
         }
     }
}
function CountSelected(formname){
        ///全选/全不选
     var objCheckBox;
     var num=0;
     var myform=document.forms.namedItem(formname);

     for(var i=0;i<myform.length;i++)
     {              
         var objCheckBox=myform.elements[i];
         if(objCheckBox!=null && objCheckBox.type=="checkbox" && objCheckBox.checked==true)
         {        
            var unAllSelected = objCheckBox.getAttribute('boxUnAllSelected');
            if(unAllSelected==null || unAllSelected!='true')
            {                
                num++;        
            }
         }
     }    
     return num;
}; 

function checkSelectedAny(formname,msg)
{
     ///全选/全不选
     var objCheckBox;
     var myform=document.forms.namedItem(formname);
     
     for(var i=0;i<myform.length;i++)
     {              
         var objCheckBox=myform.elements[i];
         if(objCheckBox!=null && objCheckBox.type=="checkbox" && objCheckBox.checked==true)
         {
            var unAllSelected = objCheckBox.getAttribute('boxUnAllSelected');
            if(unAllSelected==null || unAllSelected!='true')
            {
                 return true;                 
            }
         }
     }
     alert(msg);
     return false;
}
    
function checkDeletedAny(formname,msg)
{
     ///全选/全不选
     var objCheckBox;
     var myform=document.forms.namedItem(formname);

     for(var i=0;i<myform.length;i++)
     {              
         var objCheckBox=myform.elements[i];
         if(objCheckBox!=null && objCheckBox.type=="checkbox" && objCheckBox.checked==true)
         {        
            var unAllSelected = objCheckBox.getAttribute('boxUnAllSelected');
            if(unAllSelected==null || unAllSelected!='true')
            {                
                return confirm(msg);                 
            }
         }
     }
     alert('请先选择至少一条需要删除的数据');
     return false;
}

function checkUpdatedAny(formname,msg)
{
     ///全选/全不选
     var objCheckBox;
     var myform=document.forms.namedItem(formname);
     
     for(var i=0;i<myform.length;i++)
     {              
         var objCheckBox=myform.elements[i];
         if(objCheckBox!=null && objCheckBox.type=="checkbox" && objCheckBox.checked==true)
         {
            var unAllSelected = objCheckBox.getAttribute('boxUnAllSelected');
            if(unAllSelected==null || unAllSelected!='true')
            {
                 return true;                 
            }
         }
     }
     alert(msg||'请先选择至少一条需要更新的数据');
     return false;
}

function checkMultiMustBeSeleted(ids)
{
    if(ids!=null && ids.length>0)
    {
        var isSelected=false;
        var objSelectedBox=null;
        for(var index=0;index<ids.length;index++)
        {
            var obj=document.getElementById(ids[index]);
            if(obj!=null)
            {
                var id=obj.getAttribute('boxIdForSelected');
                if(id!=null && id!='')
                {
                    var objBox=document.getElementById(id);
                    if(objBox!=null && objBox.type=="checkbox")
                    {
                        var value=null;
                        var defaultValue=null;
                        
                        objSelectedBox=objBox;
                        
                        switch(obj.type.replace(/-.*$/,''))
                        {
                            case 'select':                                
                                value=obj.options[obj.selectedIndex].value;                                  
                                defaultValue=obj.getAttribute('selDefaultValue');   
                                break;
                            case 'checkbox':
                                value=obj.checked==true?'true':'false';                        
                                defaultValue=obj.getAttribute('boxDefaultValue');
                                break;
                            case 'text':
                                value=obj.value;
                                defaultValue=obj.getAttribute('defaultValue');
                                break;
                        }                          
                        if(value!=null && value!=defaultValue)
                        {
                            isSelected=true;
                        }                        
                    }                    
                }
            }
        }
        if(objSelectedBox!=null)
        {
            objSelectedBox.checked=isSelected;
            onRowCheckChange(objSelectedBox);
        }        
    }
}

function checkMustBeSelected(obj)
{
    if(obj!=null)
    {
        var id=obj.getAttribute('boxIdForSelected');
        if(id!=null && id!='')
        {
            var objBox=document.getElementById(id);
            if(objBox!=null && objBox.type=="checkbox")
            {
                var value=null;
                var defaultValue=null;
                switch(obj.type.replace(/-.*$/,''))
                {
                    case 'select':
                        value=obj.options[obj.selectedIndex].value;      
                        defaultValue=obj.getAttribute('selDefaultValue');
                        break;
                    case 'checkbox':
                        value=obj.checked==true?'true':'false';                        
                        defaultValue=obj.getAttribute('boxDefaultValue');
                        break;
                    case 'text':
                        value=obj.value;
                        defaultValue=obj.getAttribute('defaultValue');
                        break;
                }                          
                if(value!=null && value!=defaultValue)
                {
                    objBox.checked=true;
                }
                else
                {
                    objBox.checked=false;
                }
                onRowCheckChange(objBox);
            }                    
        }
    }          
}

function onRowMouseMove(objRow,action,id)
{
    var focusColor="#C7F781";
    var selectedColor="#FFFFC8";
    var unSelectedColor0="#ffffff";
    var unSelectedColor1="#F5F5F5";
    var obj=document.getElementById(id);
    if(obj!=null)
    {
        if(action=="over")
        {
            objRow.style.backgroundColor=focusColor;
        }
        else if(action=="out")
        {
            if(obj.checked)
            {            
                objRow.style.backgroundColor=selectedColor;
            }
            else
            {
                var rid=obj.getAttribute("rowId");
                if(rid!=null)
                {
                    if(rid % 2==0)
                    {
                        objRow.style.backgroundColor=unSelectedColor0;
                    }
                    else
                    {
                        objRow.style.backgroundColor=unSelectedColor1;
                    }                      
                }                  
            }
         }
     }
}

function onRowCheckChange(obj)
{    
    var rid=obj!=null ? obj.getAttribute("rowId"):null;   
    if(rid!=null)
    {     
        var objRow=document.getElementById("PPFOR_rows_" + rid);     
        onRowCheckColorChange(objRow,rid,obj.checked);
    }
}
function onRowCheckColorChange(objRow,rid,checked)
{   
    var focusColor="#C7F781";
    var selectedColor="#FFFFC8";
    var unSelectedColor0="#ffffff";
    var unSelectedColor1="#F5F5F5";
    
    checked=checked||false;
    if(objRow!=null && rid!=null)
    {      
        if(checked)
        {
            objRow.style.backgroundColor=selectedColor;
        }
        else
        {
            if(rid % 2==0)
            {
                objRow.style.backgroundColor=unSelectedColor0;
            }
            else
            {
                objRow.style.backgroundColor=unSelectedColor1;
            }                    
        }
     }
}
-->
